## django-dbbackup 3.3.0

=== Makefile ===
.PHONY: all test clean docs

clean:
	find . -name "*.pyc" -type f -delete
	find . -name "__pycache__" -type d -exec rm -rf {} \;
	find . -name "*.egg-info" -type d -exec rm -rf {} \; || true
	rm -rf build/ dist/ \
	       coverage_html_report .coverage \
	       *.egg

test:
	python runtests.py

install:
	python setup.py install

build:
	python setup.py build

docs:
	cd docs/ && make clean
	cd docs/ && make html

upload:
	make clean
	python setup.py sdist bdist_wheel
	twine upload dist/*

=== requirements.txt ===
pytz
six
Django>=1.5

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/django-dbbackup.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/django-dbbackup.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/django-dbbackup"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/django-dbbackup"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
django-dbbackup (3.3.0-0parrot1) lory; urgency=medium

  * Rebuild for Parrot 6.0.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Thu, 07 Sep 2023 00:43:57 +0200

django-dbbackup (3.3.0-0kali1) kali-dev; urgency=medium

  * Initial release.

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 09 Jun 2022 11:49:30 +0200

=== debian/control ===
Source: django-dbbackup
Section: python
Priority: optional
Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-setuptools,
 python3-all,
 python3-mock,
 python3-django,
 python3-sphinx,
 python3-tz
Testsuite: autopkgtest-pkg-python
Standards-Version: 4.6.1
Homepage: https://github.com/jazzband/django-dbbackup

Package: python3-django-dbbackup
Architecture: all
Depends:
 ${python3:Depends},
 ${misc:Depends},
 python3-django
Description: management commands to help backup and restore DB (Python 3)
 This package contains a Django application which provides management commands
 to help backup and restore your project database and media files with various
 storages such as Amazon S3, Dropbox, local file storage or any Django storage.
 .
 This package installs the library for Python 3.

Package: python-django-dbbackup-doc
Section: doc
Architecture: all
Depends:
 ${sphinxdoc:Depends},
 ${misc:Depends},
Description: management commands to help backup and restore DB (common documentation)
 This package contains a Django application which provides management commands
 to help backup and restore your project database and media files with various
 storages such as Amazon S3, Dropbox, local file storage or any Django storage.
 .
 This is the common documentation package.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

export PYBUILD_NAME=django-dbbackup

%:
	dh $@ --buildsystem=pybuild --with sphinxdoc

override_dh_auto_test:

execute_after_dh_auto_build-indep: export http_proxy=127.0.0.1:9
execute_after_dh_auto_build-indep: export https_proxy=127.0.0.1:9
execute_after_dh_auto_build-indep:
	PYTHONPATH=. python3 -m sphinx -N -bhtml \
	docs/ build/html # HTML generator

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%django-dbbackup-$1.tar.gz%" \
   https://github.com/jazzband/django-dbbackup/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## django-dbbackup 4.0.2

=== debian/changelog ===
django-dbbackup (4.0.2-0ubuntu1) mantic; urgency=medium

  * New upstream release 4.0.2
  * d/p/disable-gpg-tests.patch: Refresh for new version
  * d/control: remove six as a build dependency as it is no longer needed
  * d/p/test_set_options-support-django4.patch: Fix test suite for Django 4.2
    (LP: #2022089)

 -- Lena Voytek <lena.voytek@canonical.com>  Wed, 16 Aug 2023 07:43:30 -0700

django-dbbackup (3.3.0-1) unstable; urgency=low

  * Initial release

 -- Tom Teichler <debdolph@tom-teichler.de>  Fri, 01 Oct 2021 23:05:05 +0200

=== debian/control ===
Source: django-dbbackup
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Tom Teichler <debdolph@tom-teichler.de>, Dominik George <natureshadow@debian.org>
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-django (>= 2.2~),
 python3-setuptools,
 python3-tz,
 python3-testfixtures,
 python3-gnupg,
 python3-dotenv,
 python3-psycopg2,
 python3-mock,
 python3-django-storages,
Standards-Version: 4.6.0
Homepage: https://github.com/django-dbbackup/django-dbbackup
Vcs-Git: https://salsa.debian.org/python-team/packages/django-dbbackup.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/django-dbbackup

Package: python3-django-dbbackup
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Backup and restore commands for Django
 This Django application provides management commands to help backup and
 restore your project database and media files with various storages such as
 Amazon S3, Dropbox, local file storage or any Django storage.
 .
 It is made for:
 .
  * Ensure your backup with GPG signature and encryption
  * Archive with compression
  * Deal easily with remote archiving
  * Great to keep your development database up to date.
  * Use Crontab or Celery to setup automated backups.

=== debian/watch ===
# please also check http://pypi.debian.net/django-dbbackup/watch
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/django-dbbackup/django-dbbackup-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## django-dbbackup 4.1.0

=== debian/changelog ===
django-dbbackup (4.1.0-1) unstable; urgency=medium

  * Team Upload
  * New upstream version 4.1.0
  * remove old dependency on python3-six
  * set Rules-Requires-Root: no

  [ Lena Voytek ]
  * Release new upstream version 4.0.2
  * Refresh disable-gpg-tests.patch for new version

 -- Alexandre Detiste <tchet@debian.org>  Tue, 27 Feb 2024 22:49:07 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: django-dbbackup
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Tom Teichler <debdolph@tom-teichler.de>, Dominik George <natureshadow@debian.org>
 Section: python
 Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
  python3-all,
  python3-django (>= 2.2~),
  python3-setuptools,
@@ -17,10 +16,12 @@
  python3-psycopg2,
  python3-mock,
  python3-django-storages,
+Rules-Requires-Root: no
 Standards-Version: 4.6.0
 Homepage: https://github.com/django-dbbackup/django-dbbackup
 Vcs-Git: https://salsa.debian.org/python-team/packages/django-dbbackup.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/django-dbbackup
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-django-dbbackup
 Architecture: all

## django-dbbackup 4.2.1

=== requirements.txt ===
django>=3.2
pytz

=== debian/changelog ===
django-dbbackup (4.2.1-1) unstable; urgency=medium

  * Team Upload
  * New upstream version 4.2.1
  * Remove dependency on python3-mock
  * Refresh patch

 -- Alexandre Detiste <tchet@debian.org>  Sat, 14 Dec 2024 13:37:13 +0100

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,6 @@
  python3-gnupg,
  python3-dotenv,
  python3-psycopg2,
- python3-mock,
  python3-django-storages,
 Rules-Requires-Root: no
 Standards-Version: 4.6.0

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=dbbackup

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	dh_auto_test -- --system=custom --test-args="PYTHONPATH=. {interpreter} /usr/bin/django-admin test --settings=dbbackup.tests.settings dbbackup"
endif

=== debian/watch ===
# please also check http://pypi.debian.net/django-dbbackup/watch
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/django-dbbackup/django[-_]dbbackup-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
